Project Chrono: chrono::fea::ChContinuumElectrostatics Class Reference

Public Member Functions | List of all members
chrono::fea::ChContinuumElectrostatics Class Reference

## Description

Class for material for FEA electrostatic problems.

`#include <ChContinuumElectrostatics.h>`

Inheritance diagram for chrono::fea::ChContinuumElectrostatics:
[legend]
Collaboration diagram for chrono::fea::ChContinuumElectrostatics:
[legend]

## Public Member Functions
| ChContinuumElectrostatics (const ChContinuumElectrostatics &other)
void | SetPermittivity (double me)
| Set the absolute permittivity constant of the material, expressed in Faraday per meter [F/m].
void | SetRelativePermettivity (double re)
| Set the absolute permittivity by using the relative permittivity er, since e = er*e0 with e0 the constant permittivity of vacuum, so this is easier than using SetPermittivity(), Examples: air er=1.000589, rubber er=7, water er=80, glass 4-10 (approx.).
double | GetPermittivity () const
| Get the absolute permittivity constant of the material, expressed in Faraday per meter [ F/m ].
ChMatrixDynamic | GetPermittivityMatrix ()
| Get the permittivity matrix.
Public Member Functions inherited from chrono::fea::ChContinuumPoisson3D
| ChContinuumPoisson3D (const ChContinuumPoisson3D &other)
ChMatrixDynamic & | GetConstitutiveMatrix ()
| Get the constitutive matrix [C] to compute the bilinear form in the weak formulation.
virtual double | Get_DtMultiplier ()
| Get the rho multiplier for the 'rho dP/dt term', if any (default, none).
Public Member Functions inherited from chrono::fea::ChContinuumMaterial
| ChContinuumMaterial (double density=1000)
| ChContinuumMaterial (const ChContinuumMaterial &other)
void | SetDensity (double density)
| Set the density of the material, in kg/m^2.
double | GetDensity () const
| Get the density of the material, in kg/m^2.
virtual void | ArchiveOut (ChArchiveOut &archive_out)
virtual void | ArchiveIn (ChArchiveIn &archive_in)

## Additional Inherited Members
Protected Attributes inherited from chrono::fea::ChContinuumPoisson3D
ChMatrixDynamic | ConstitutiveMatrix
Protected Attributes inherited from chrono::fea::ChContinuumMaterial
double | m_density

## Member Function Documentation

## ◆ SetPermittivity()

void chrono::fea::ChContinuumElectrostatics::SetPermittivity | ( | double | me | ) |
| inline

Set the absolute permittivity constant of the material, expressed in Faraday per meter [F/m].

Sets the conductivity matrix as isotropic (diagonal k)

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChContinuumElectrostatics.h